<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:p="http://primefaces.org/ui" >
    <h:outputStylesheet name="css/extraction/#{css}" />
    <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.jsf.panels.datesChoiceStep" var="datesChoiceStep"/>
    <f:param name="panelNumber"></f:param>

    <p:remoteCommand name="changeCalendarDateStart" 
                     process="@this,dateStart"
                     update="panelChoiceDate, #{p:component('parametersRequest')},messageWarningDates,nextStepButton" >
    </p:remoteCommand>

    <p:remoteCommand name="changeCalendarDateEnd"
                     process="@this,dateEnd"
                     update="panelChoiceDate, #{p:component('parametersRequest')},messageWarningDates,nextStepButton" >
    </p:remoteCommand>

    <h:panelGroup id="messageWarningDates">
        <h:outputText value="#{datesChoiceStep.PROPERTY_MSG_CHOOSE_DATE}"
                      rendered="#{not uiBean.uiDate.dateStepIsValid}"
                      styleClass="selectionEmpty" />
    </h:panelGroup>

    <h:panelGroup id="panelChoiceDate">
        <br />
        <h:outputText value="#{datesChoiceStep.PROPERTY_MSG_PERIOD_CHOICE}" />

        <h:panelGroup layout="block" styleClass="wrapper indent">

            <h:panelGroup layout="block" styleClass="wrapper">
                <p:focus id="focus"  context="#{uiBean.uiDate.datesForm1ParamVO.dateStart==null?'dateStart':'dateEnd'}" />
                <p:calendar id="dateStart" widgetVar="dateStart" value="#{uiBean.uiDate.datesForm1ParamVO.dateStart}" 
                            mode="popup"
                            showOn="button"
                            showWeek="true"
                            navigator="true"
                            autocomplete="true"
                            placeholder="dd/MM/yyyy"
                            mask="99/99/9999"
                            converter="localDateConverterDD_MM_YYYY"
                            pattern="dd/MM/yyyy"
                            onchange="changeCalendarDateStart()" >
                    <p:ajax event="dateSelect" listener="#{uiBean.uiDate.datesForm1ParamVO.changeDateStart}" update="focus, #{p:component('parametersRequest')},messageWarningDates,nextStepButton" />
                    <p:ajax event="change" listener="#{uiBean.uiDate.datesForm1ParamVO.changeDateStart}"  update="focus, #{p:component('parametersRequest')},messageWarningDates,nextStepButton" />
                </p:calendar>
                <p:calendar id="dateEnd" widgetVar="dateEnd" value="#{uiBean.uiDate.datesForm1ParamVO.dateEnd}" 
                            showOn="button"
                            showWeek="true"
                            navigator="true"
                            autocomplete="true"
                            placeholder="dd/MM/yyyy"
                            mask="99/99/9999"
                            converter="localDateConverterDD_MM_YYYY"
                            pattern="dd/MM/yyyy"
                            onchange="changeCalendarDateEnd()" >
                    <p:ajax event="dateSelect" listener="#{uiBean.uiDate.datesForm1ParamVO.changeDateEnd}"  update="focus, #{p:component('parametersRequest')},messageWarningDates,nextStepButton" />
                    <p:ajax event="change" listener="#{uiBean.uiDate.datesForm1ParamVO.changeDateEnd}"  update="focus,#{p:component('parametersRequest')},messageWarningDates,nextStepButton" />
                </p:calendar>
            </h:panelGroup> 
        </h:panelGroup>
    </h:panelGroup>
</html>